For the complete documentation index, see llms.txt. This page is also available as Markdown.

HTTP 소스

개요

이러한 API 작업을 사용하여 다음과 상호 작용하세요 HTTP 소스 Panther에서. 여기에는 포함되지 않습니다 지원되는 로그 소스 전송 메커니즘으로 HTTP를 사용하는

필요한 권한

  • 다음의 경우 GET 작업의 경우, API 토큰에는 다음이 있어야 합니다 로그 소스 보기 권한이 있어야 합니다.

  • 다음의 경우 POST, PUT, 그리고 DELETE 작업의 경우, API 토큰에는 다음이 있어야 합니다 로그 소스 관리 권한이 있어야 합니다.

작업

get http source

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to fetch

Responses
200

OK response.

application/json
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumOptional

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationIdstringOptional

The id of the http source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Optional

The log types of the integration

get/log-sources/http/{id}
GET /log-sources/http/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationId": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}

put http source

put

put updates an http source

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to update

Body
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumRequired

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Required

The log types of the integration

Responses
200

OK response.

application/json
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumOptional

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationIdstringOptional

The id of the http source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Optional

The log types of the integration

put/log-sources/http/{id}
PUT /log-sources/http/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 317

{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}
{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationId": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}

create http source

post
Authorizations
X-API-KeystringRequired
Body
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumRequired

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Required

The log types of the integration

Responses
201

Created response.

application/json
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumOptional

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationIdstringOptional

The id of the http source

integrationLabelstringOptional

The integration label (name)

logStreamTypestring · enumOptional

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, XML

Possible values:
logTypesstring[]Optional

The log types of the integration

post/log-sources/http
POST /log-sources/http HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 317

{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}
{
  "authBearerToken": "text",
  "authHeaderKey": "text",
  "authHmacAlg": "text",
  "authMethod": "SharedSecret",
  "authPassword": "text",
  "authSecretValue": "text",
  "authUsername": "text",
  "integrationId": "text",
  "integrationLabel": "text",
  "logStreamType": "Auto",
  "logStreamTypeOptions": {
    "jsonArrayEnvelopeField": "text",
    "xmlRootElement": "text"
  },
  "logTypes": [
    "text"
  ]
}

delete http source

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to delete

Responses
204

No Content response.

No content

delete/log-sources/http/{id}
DELETE /log-sources/http/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*

No content

마지막 업데이트

도움이 되었나요?